import request from '@/utils/request'

//课程分类为
export function getList(params) {
  return request({
    url: '/course/category',
    method: 'get',
    params,
  })
}
export function getTree(params) {
  return request({
    url: '/course/category-tree',
    method: 'get',
    params,
  })
}
export function doDelete(data) {
  return request({
    url: '/course/category/delete',
    method: 'post',
    data,
  })
}

export function doAdd(data) {
  return request({
    url: '/course/category',
    method: 'post',
    data,
  })
}
export function doEdit(data) {
  return request({
    url: '/course/category/' + data.id,
    method: 'put',
    data,
  })
}

//课程列表
export function getCourseList(params) {
  return request({
    url: '/course/info',
    method: 'get',
    params,
  })
}

export function courseListDelete(data) {
  return request({
    url: '/course/info/' + data.id,
    method: 'delete',
  })
}
export function courseListAdd(data) {
  return request({
    url: '/course/info',
    method: 'post',
    data,
  })
}
export function courseListEdit(data) {
  return request({
    url: '/course/info/' + data.id,
    method: 'put',
    data,
  })
}
export function courseDetail(data) {
  return request({
    url: '/course/info/' + data.id,
    method: 'get',
    data,
  })
}
//章节列表
export function getChapterList(params) {
  return request({
    url: '/course/' + params.courseId + '/chapter',
    method: 'get',
    params,
  })
}

export function chapterDelete(data) {
  return request({
    url: '/course/chapter/' + data.id,
    method: 'delete',
  })
}
export function chapterAdd(data) {
  return request({
    url: '/course/' + data.course_id + '/chapter',
    method: 'post',
    data,
  })
}
export function chapterEdit(data) {
  return request({
    url: '/course/chapter/' + data.id,
    method: 'put',
    data,
  })
}
//视频增删改查
export function getVideoList(params) {
  return request({
    url: '/course/' + params.id + '/video',
    method: 'get',
    params,
  })
}

export function videoDelete(data) {
  return request({
    url: '/course/video/' + data.id,
    method: 'delete',
  })
}
export function videoAdd(data) {
  return request({
    url: '/course/' + data.id + '/video',
    method: 'post',
    data,
  })
}
export function videoEdit(data) {
  return request({
    url: '/course/video/' + data.id,
    method: 'put',
    data,
  })
}
export function videoDetail(params) {
  return request({
    url: '/course/' + params.courseId + '/video/' + params.videoId,
    method: 'get',
  })
}
//附件增删改查
export function getEnclosureList(params) {
  return request({
    url: '/course/video/' + params.videoId + '/attach',
    method: 'get',
    params,
  })
}

export function enclosureDelete(data) {
  return request({
    url: '/course/attach/' + data.id,
    method: 'delete',
  })
}
export function enclosureAdd(data) {
  return request({
    url: '/course/video/' + data.videoId + '/attach',
    method: 'post',
    data,
  })
}

export function enclosureEdit(data) {
  return request({
    url: '/course/attach/' + data.id,
    method: 'put',
    data,
  })
}
