import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/score/member',
    method: 'get',
    params,
  })
}

export function doDelete(id) {
  return request({
    url: '/score/member/' + id,
    method: 'delete',
  })
}

export function doEdit(data) {
  if (data.id) {
    return request({
      url: '/score/member/' + data.id,
      method: 'put',
      data,
    })
  } else {
    return request({
      url: '/score/member',
      method: 'post',
      data,
    })
  }
}
export function getTagsOptions(params) {
  return request({
    url: '/score/member-tags-select-options',
    method: 'get',
    params,
  })
}

export function getLists(params) {
  return request({
    url: '/score/member-lists',
    method: 'get',
    params,
  })
}
