import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/finance/order',
    method: 'get',
    params,
  })
}

export function getListNoPage(params) {
  return request({
    url: '/finance/order-lists',
    method: 'get',
    params,
  })
}

export function getAdd(data) {
  return request({
    url: '/finance/order',
    method: 'post',
    data,
  })
}
export function getEdit(data) {
  return request({
    url: '/finance/order/' + data.id,
    method: 'put',
    data,
  })
}
export function getDelete(data) {
  return request({
    url: '/finance/order/' + data.id,
    method: 'delete',
    data,
  })
}

export function getDetail(params) {
  return request({
    url: '/finance/order/' + params,
    method: 'get',
  })
}

export function importOrder(data) {
  return request({
    url: '/finance/order-import',
    method: 'post',
    data,
  })
}

export function checktOrder(data) {
  return request({
    url: '/finance/order-check',
    method: 'post',
    data,
  })
}

export function getShop(params) {
  return request({
    url: '/finance/shop-select-options',
    method: 'get',
    params,
  })
}

export function getTree(params) {
  return request({
    url: '/finance/category-tree',
    method: 'get',
    params,
  })
}

//订单统计
export function getStatistical(params) {
  return request({
    url: '/finance/statistical',
    method: 'get',
    params,
  })
}
