import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/finance/bill',
    method: 'get',
    params,
  })
}
// 添加
export function getAdd(data) {
  return request({
    url: '/finance/bill',
    method: 'post',
    data,
  })
}
// 修改
export function getEdit(data) {
  return request({
    url: '/finance/bill/' + data.id,
    method: 'put',
    data,
  })
}
// 删除
export function getDelete(data) {
  return request({
    url: '/finance/bill/' + data.id,
    method: 'delete',
  })
}
// 审核
export function getVerify(data) {
  return request({
    url: '/finance/bill-check',
    method: 'post',
    data,
  })
}
// 拿取店铺名
export function getShop(data) {
  return request({
    url: '/finance/shop-select-options',
    method: 'get',
    data,
  })
}
// 获取列表树的接口

export function getKey(params) {
  return request({
    url: '/finance/category-tree',
    method: 'get',
    params,
  })
}

export function getCategory(params) {
  return request({
    url: '/finance/category',
    method: 'get',
    params,
  })
}
