import Vue from 'vue'
import App from './App'
import i18n from './i18n'
import store from './store'
import router from './router'
import '@/vab'
import * as echarts from 'echarts'

/**
 * @description 正式环境默认使用mock，正式项目记得注释后再打包
 */
import { baseURL } from './config'
import { isExternal } from '@/utils/validate'

Vue.prototype.$echarts = echarts

if (process.env.NODE_ENV === 'production' && !isExternal(baseURL)) {
  const { mockXHR } = require('@/utils/static')
  mockXHR()
}
Vue.config.productionTip = false
new Vue({
  el: '#app',
  i18n,
  store,
  router,
  echarts,
  render: (h) => h(App),
})
